"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var vega_lite_1 = require("vega-lite");
/**
 * Compiles a Mapd vega lite spec to a Mapd vega spec.
 *
 * The vega lite spec should have an `sql` field in it's data instead of a `values` field.
 * @param spec
 */
function compileToVega(vlSpec) {
    var sql = vlSpec.data.sql;
    delete vlSpec.data.sql;
    vlSpec.data.name = 'mapd_data';
    var vSpec = vega_lite_1.compile(vlSpec).spec;
    vSpec.data[0].sql = sql;
    return vSpec;
}
exports.compileToVega = compileToVega;
